## m30-packages.tar.gz

=== CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

if (TARGET aziotsharedutil)
    RETURN()
endif()

project(azure_c_shared_utility)

FILE(READ ${CMAKE_CURRENT_LIST_DIR}/version.txt C_SHARED_VERSION)

# Include the common build rules for the C SDK
include(configs/azure_iot_build_rules.cmake)

#the following variables are project-wide and can be used with cmake-gui
option(run_unittests "set run_unittests to ON to run unittests (default is OFF)" OFF)
option(skip_samples "set skip_samples to ON to skip building samples (default is OFF)[if possible, they are always built]" OFF)
option(use_http "set use_http to ON if http is to be used, set to OFF to not use http" ON)
option(use_condition "set use_condition to ON if the condition module and its adapters should be enabled" ON)
option(use_wsio "set use_wsio to ON to build WebSockets support (default is ON)" ON)
option(nuget_e2e_tests "set nuget_e2e_tests to ON to generate e2e tests to run with nuget packages (default is OFF)" OFF)
option(use_installed_dependencies "set use_installed_dependencies to ON to use installed packages instead of building dependencies from submodules" OFF)
option(use_default_uuid "set use_default_uuid to ON to use the out of the box UUID that comes with the SDK rather than platform specific implementations" OFF)
option(run_e2e_tests "set run_e2e_tests to ON to run e2e tests (default is OFF). Chsare dutility does not have any e2e tests, but the option needs to exist to evaluate in IF statements" OFF)
option(run_int_tests "set run_int_tests to ON to integration tests (default is OFF)." OFF)
option(use_builtin_httpapi "set use_builtin_httpapi to ON to use the built-in httpapi_compact that comes with C shared utility (default is OFF)" OFF)
option(use_cppunittest "set use_cppunittest to ON to build CppUnitTest tests on Windows (default is ON)" ON)
option(suppress_header_searches "do not try to find headers - used when compiler check will fail" OFF)
option(use_custom_heap "use externally defined heap functions instead of the malloc family" OFF)

if(${use_custom_heap})
    add_definitions(-DGB_USE_CUSTOM_HEAP)
endif()

if(WIN32)
    option(use_schannel "set use_schannel to ON if schannel is to be used, set to OFF to not use schannel" ON)
    option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" OFF)
    option(use_mbedtls "set use_mbedtls to ON if mbedtls is to be used, set to OFF to not use mbedtls" OFF)
    option(use_wolfssl "set use_wolfssl to ON if wolfssl is to be used, set to OFF to not use wolfssl" OFF)
    option(use_bearssl "set use_bearssl to ON if BearSSL is to be used, set to OFF to not use BearSSL" OFF)
    option(logerror_captures_stack_traces "LogError will make a reasonable attempt to capture the stack trace at the time of calling LogError. Only available on Windows" OFF)
    option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" ON)

    set(use_etw OFF CACHE STRING "set use_etw to OFF = No ETW logging, TRACELOGGING = Use ETW from tracelogging.h, TRACELOGGING_WITH_CONSOLE = Use ETW from tracelogging.h and call console logger. Default is OFF")
    set_property(CACHE use_etw PROPERTY STRINGS TRACELOGGING_WITH_CONSOLE TRACELOGGING OFF)

else()
    option(use_schannel "set use_schannel to ON if schannel is to be used, set to OFF to not use schannel" OFF)
    if(MACOSX)
        option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" OFF)
        option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" OFF)
    else()
        option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" ON)
        option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" ON)
    endif()
    option(use_mbedtls "set use_mbedtls to ON if mbedtls is to be used, set to OFF to not use mbedtls" OFF)
    option(use_wolfssl "set use_wolfssl to ON if wolfssl is to be used, set to OFF to not use wolfssl" OFF)
    option(use_bearssl "set use_bearssl to ON if BearSSL is to be used, set to OFF to not use BearSSL" OFF)
    option(use_c_ares "set use_c_ares to ON if c-ares is to be used, set to OFF to not use c-ares" OFF)
endif()

option(no_logging "disable logging (default is OFF)" OFF)

# The options setting for use_socketio is not reliable. If openssl is used, make sure it's on,
# and if apple tls is used then use_socketio must be off.
if (MACOSX)
    if (${use_openssl})
        set(use_socketio ON)
    else()
        # MACOSX only has native tls and open ssl, so this must be the native apple tls
        set(use_applessl ON)
        set(use_socketio OFF)
    endif()
endif()

if(WIN32)

if(${use_etw} STREQUAL "TRACELOGGING_WITH_CONSOLE")
    add_definitions(-DUSE_TRACELOGGING)
    add_definitions(-DCALL_CONSOLE_LOGGER)
endif() #(${use_etw} STREQUAL "TRACELOGGING_WITH_CONSOLE")

if(${use_etw} STREQUAL "TRACELOGGING")
    add_definitions(-DUSE_TRACELOGGING)
endif() #(${use_etw} STREQUAL "TRACELOGGING")

endif()

if(${logerror_captures_stack_traces})
    #set a preprocessor option (LOGERROR_CAPTURES_STACK_TRACES) and add the files that provide the functionality
    add_definitions(-DLOGERROR_CAPTURES_STACK_TRACES)
    set(LOGGING_STACKTRACE_C_FILE ./src/logging_stacktrace.c)
    set(LOGGING_STACKTRACE_H_FILE ./inc/azure_c_shared_utility/logging_stacktrace.h)
else()
    set(LOGGING_STACKTRACE_C_FILE)
    set(LOGGING_STACKTRACE_H_FILE)
endif()

option(build_as_dynamic "build the C Shared libaries as shared"  OFF)

if(${memory_trace})
    add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)
    add_definitions(-DGB_MEASURE_NETWORK_FOR_THIS -DGB_DEBUG_NETWORK)
endif()

if(${use_openssl})
    if("${OPENSSL_ROOT_DIR}" STREQUAL "" AND NOT ("$ENV{OpenSSLDir}" STREQUAL ""))
        set(OPENSSL_ROOT_DIR $ENV{OpenSSLDir} CACHE PATH "")
    endif()

    # If OpenSSL::SSL OR OpenSSL::Crypto are not set then you need to run
    # the find package for openssl
    if (NOT TARGET OpenSSL::SSL OR NOT TARGET OpenSSL::Crypto OR NOT ${OPENSSL_INCLUDE_DIR})
        find_package(OpenSSL REQUIRED)
    endif()
    include_directories(${OPENSSL_INCLUDE_DIR})
endif()

if(${use_applessl})
    # MACOSX only has native tls and open ssl, so use the native apple tls
    find_library(cf_foundation Foundation)
    find_library(cf_network CFNetwork)
endif()

if(${no_logging})
    add_definitions(-DNO_LOGGING)
endif()
# Start of variables used during install
set (LIB_INSTALL_DIR lib CACHE PATH "Library object file directory")

#Setup the platform files
include("${CMAKE_CURRENT_LIST_DIR}/configs/azure_c_shared_utilityFunctions.cmake")
set_platform_files(${CMAKE_CURRENT_LIST_DIR})

if(MSVC)
    if(${use_openssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_OPENSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_OPENSSL")
    endif()
    if(${use_mbedtls})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_MBEDTLS")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_MBEDTLS")
    endif()
    if(${use_bearssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_BEARSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_BEARSSL")
    endif()
    if(${use_wolfssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_WOLFSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_WOLFSSL")

        # Disables error if a bit-field is used on non-integer variable
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /wd4214")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /W4 /wd4214")
    endif()
elseif(LINUX) #LINUX OR APPLE
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wformat=2 -Wformat-security")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wformat=2 -Wformat-security")
    if(${use_openssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_OPENSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_OPENSSL")
    endif()
    if(${use_mbedtls})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_MBEDTLS")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_MBEDTLS")
    endif()
    if(${use_bearssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_BEARSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_BEARSSL")
    endif()
    if(${use_wolfssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_WOLFSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_WOLFSSL")
    endif()
    # Turn off warning that can not be fixed right now
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-variable -Wno-missing-braces -Wno-missing-field-initializers -Wno-format-nonliteral")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-variable -Wno-missing-braces -Wno-missing-field-initializers -Wno-format-nonliteral")
elseif(APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wformat-security")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wformat-security")
    if(${use_openssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_OPENSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_OPENSSL")
    endif()
    if(${use_mbedtls})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_MBEDTLS")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_MBEDTLS")
    endif()
    if(${use_wolfssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_WOLFSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_WOLFSSL")
    endif()
endif()


include_directories(${UMOCK_C_INC_FOLDER})

#these are the C source files
set(source_c_files
    ./src/azure_base32.c
    ./src/azure_base64.c
    ./src/buffer.c
    ./src/constbuffer_array.c
    ./src/constbuffer_array_batcher.c
    ./src/connection_string_parser.c
    ./src/constbuffer.c
    ${LOGGING_C_FILE}
    ./src/crt_abstractions.c
    ./src/constmap.c
    ./src/doublylinkedlist.c
    ./src/gballoc.c
    ./src/gbnetwork.c
    ./src/gb_stdio.c
    ./src/gb_time.c
    ./src/gb_rand.c
    ./src/hmac.c
    ./src/hmacsha256.c
    ./src/xio.c
    ./src/singlylinkedlist.c
    ./src/map.c
    ./src/sastoken.c
    ./src/sha1.c
    ./src/sha224.c
    ./src/sha384-512.c
    ./src/strings.c
    ./src/string_token.c
    ./src/string_tokenizer.c
    ./src/uuid.c
    ./src/urlencode.c
    ./src/usha.c
    ./src/vector.c
    ${XLOGGING_C_FILE}
    ./src/optionhandler.c
    ./src/memory_data.c
    ./adapters/agenttime.c
    ${CONDITION_C_FILE}
    ${LOCK_C_FILE}
    ${SRW_LOCK_C_FILE}
    ${TIMER_C_FILE}
    ${STRING_UTILS_C_FILE}
    ${PLATFORM_C_FILE}
    ${SOCKETIO_C_FILE}
    ${TICKCOUTER_C_FILE}
    ${THREAD_C_FILE}
    ${UNIQUEID_C_FILE}
    ${ENVIRONMENT_VARIABLE_C_FILE}
    ${LOGGING_STACKTRACE_C_FILE}
    ${DNS_C_FILE}
)

if(UNIX) #LINUX OR APPLE
    set(source_c_files ${source_c_files}
        ./adapters/linux_time.c
    )
endif()

if(${use_http})
    set(source_c_files ${source_c_files}
        ./src/httpapiex.c
        ./src/httpapiexsas.c
        ./src/httpheaders.c
        ${HTTP_C_FILE}
    )
endif()

if(${use_schannel})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_schannel.c
        ./adapters/x509_schannel.c
    )
endif()
# If SocketIO isn't used, then we need to substitute stubs for HTTP Proxy
# since it depends on SocketIO
if(${use_socketio})
    set(source_c_files ${source_c_files}
        ./src/http_proxy_io.c
    )
else()
    set(source_c_files ${source_c_files}
        ./src/http_proxy_stub.c
    )
endif()
if(${use_wolfssl})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_wolfssl.c
    )
endif()
if(${use_mbedtls})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_mbedtls.c
    )
endif()
if(${use_bearssl})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_bearssl.c

=== Makefile ===
CC = gcc
CFLAGS = -O0 -g -Wall -Wextra -Wno-deprecated-declarations -std=c89 -pedantic-errors -DTESTS_MAIN

CPPC = g++
CPPFLAGS = -O0 -g -Wall -Wextra -Wno-deprecated-declarations -DTESTS_MAIN 

all: test testcpp test_hash_collisions

.PHONY: test testcpp test_hash_collisions
test: tests.c parson.c
	$(CC) $(CFLAGS) -o $@ tests.c parson.c
	./$@

testcpp: tests.c parson.c
	$(CPPC) $(CPPFLAGS) -o $@ tests.c parson.c
	./$@

test_hash_collisions: tests.c parson.c
	$(CC) $(CFLAGS) -DPARSON_FORCE_HASH_COLLISIONS -o $@ tests.c parson.c
	./$@

clean:
	rm -f test *.o

=== Reference/Makefile ===
CFLAGS	?= -DRIOTBUILD -DRIOTSECP384R1 -Os

WARNING_CFLAGS ?=  -Wall -Wextra

INCLUDES ?= -I./RIoT/RIoTCrypt/include -I./RIoT/include
LOCAL_CFLAGS = $(WARNING_CFLAGS) $(INCLUDES) -D_FILE_OFFSET_BITS=64
LOCAL_LDFLAGS = -L./RIoT/RIoTCrypt -lmbedcrypto

EMU_KEYS_CERTS = AliasCert.der AliasCert.pem AliasKey.der AliasKey.pem DeviceIDCrt.der DeviceIDCrt.pem DeviceIDPublic.der DeviceIDPublic.pem R00tCrt.der R00tCrt.pem

# DEBUG
#LOCAL_CFLAGS += -g3 -O0

.SILENT:

.PHONY: all clean

all: riotemulator

riotemulator: lib RIoTEmulator.o
	$(CC) $(LOCAL_CFLAGS) $(CFLAGS) RIoTEmulator.o $(LOCAL_LDFLAGS) -o $@

.c.o:
	echo "  CC    $<"
	$(CC) $(LOCAL_CFLAGS) $(CFLAGS) -c $< -o $@

lib:
	make -C RIoT

clean:
	rm -f *.o ./RIoT/*.o
	rm -f ./RIoT/RIoTCrypt/*.o ./RIoT/RIoTCrypt/libmbed*
	rm -f ./RIoT/riotester ./riotemulator
	rm -f $(EMU_KEYS_CERTS)

=== deps/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

if (${run_unittests})
	add_subdirectory(ctest)
	add_subdirectory(testrunner)
endif()

=== docs/requirements.txt ===
Pygments>=2.9 # For OMG IDL Support
Sphinx>=2.4

=== serializer/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required (VERSION 3.5)
#this is CMakeLists for serializer

option(use_floats "if use_floats is used, serializer will use floats in its typesystem" ON)

if(${use_floats})
else()
    add_definitions(-DNO_FLOATS)
endif()

if(POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
endif()

compileAsC99()

set(serializer_c_files
    ./src/agenttypesystem.c
    ./src/codefirst.c
    ./src/commanddecoder.c
    ./src/datamarshaller.c
    ./src/datapublisher.c
    ./src/dataserializer.c
    ./src/iotdevice.c
    ./src/jsondecoder.c
    ./src/jsonencoder.c
    ./src/makefile
    ./src/multitree.c
    ./src/schema.c
    ./src/schemalib.c
    ./src/schemaserializer.c
    ./src/methodreturn.c
)

set(serializer_h_files
    ./inc/agenttypesystem.h
    ./inc/codefirst.h
    ./inc/commanddecoder.h
    ./inc/datamarshaller.h
    ./inc/datapublisher.h
    ./inc/dataserializer.h
    ./inc/iotdevice.h
    ./inc/jsondecoder.h
    ./inc/jsonencoder.h
    ./inc/multitree.h
    ./inc/schema.h
    ./inc/schemalib.h
    ./inc/schemaserializer.h
    ./inc/serializer.h
    ./inc/serializer_devicetwin.h
    ./inc/methodreturn.h
)

#these are the include folders
#the following "set" statement exports across the project a global variable called SHARED_UTIL_INC_FOLDER that expands to whatever needs to included when using COMMON library
set(SERIALIZER_INC_FOLDER ${CMAKE_CURRENT_LIST_DIR}/inc CACHE INTERNAL "this is what needs to be included if using serializer lib" FORCE)

include_directories(../deps/parson)
include_directories(${SERIALIZER_INC_FOLDER} ${SHARED_UTIL_INC_FOLDER})
include_directories(${AZURE_C_SHARED_UTILITY_INCLUDES})

IF(WIN32)
    #windows needs this define
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
ENDIF(WIN32)

add_library(serializer ${serializer_c_files} ${serializer_h_files})
target_link_libraries(serializer parson)

set (install_libs serializer)

if (${build_as_dynamic})
    add_library(
        serializer_dll SHARED ${serializer_c_files} ${serializer_h_files} ./src/serializer.def
    )
    target_link_libraries(serializer_dll
        aziotsharedutil_dll
        parson
    )

    if (${CMAKE_C_COMPILER_ID} STREQUAL "GNU" OR ${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
        target_link_libraries(serializer_dll
            "-Wl,--exclude-libs,libparson.a"
        )
    endif()

    set_target_properties(serializer_dll PROPERTIES
        OUTPUT_NAME "serializer"
        ARCHIVE_OUTPUT_NAME "serializer_dll_import"
        ENABLE_EXPORTS YES
        WINDOWS_EXPORT_ALL_SYMBOLS YES
        PDB_NAME "serializer_dll"
        VERSION ${IOT_SDK_VERSION}
        SOVERSION ${IOT_SDK_VERSION_MAJOR}
        BUILD_WITH_INSTALL_RPATH TRUE
    )
    set (install_libs ${install_libs} serializer_dll)
endif()
applyXcodeBuildFlagsIfNeeded(serializer)

if(NOT IN_OPENWRT)
    # Disable tests for OpenWRT
    if(${run_unittests})
        add_subdirectory(tests)
    endif()
endif()

if(${use_installed_dependencies})
    include(GNUInstallDirs)

    #Set CMAKE_INSTALL_LIBDIR if not defined
    if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
        set(CMAKE_INSTALL_LIBDIR "lib")
    endif()

    install(TARGETS serializer EXPORT azure_iot_sdksTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/../bin
        INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/azureiot
    )
    install(FILES ${serializer_h_files} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/azureiot)
else()
    install(FILES ${serializer_h_files}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/azureiot)
    install(TARGETS ${install_libs}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

=== tests/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

usePermissiveRulesForSamplesAndTests()

#this is CMakeLists.txt for the folder tests of C shared utility
set(SHARED_UTIL_REAL_TEST_FOLDER ${CMAKE_CURRENT_LIST_DIR}/real_test_files CACHE INTERNAL "this is what needs to be included when doing test sources" FORCE)

if(${run_unittests})
    add_subdirectory(agenttime_ut)
    add_subdirectory(azure_base32_ut)
    add_subdirectory(azure_base64_ut)
    add_subdirectory(buffer_ut)
    add_subdirectory(constbuffer_array_ut)
    add_subdirectory(constbuffer_array_batcher_ut)
    if(${use_condition})
        add_subdirectory(condition_ut)
    endif()
    add_subdirectory(constbuffer_ut)
    add_subdirectory(constmap_ut)
    add_subdirectory(crtabstractions_ut)
    add_subdirectory(doublylinkedlist_ut)
    add_subdirectory(gballoc_ut)
    add_subdirectory(gballoc_without_init_ut)
    add_subdirectory(hmacsha256_ut)
    if(${use_http})
        add_subdirectory(httpapiex_ut)
        add_subdirectory(httpapiexsas_ut)
        add_subdirectory(httpheaders_ut)
        add_subdirectory(httpapicompact_ut)
    endif()
    add_subdirectory(singlylinkedlist_ut)
    add_subdirectory(lock_ut)    
    add_subdirectory(map_ut)
    add_subdirectory(refcount_ut)
    add_subdirectory(sastoken_ut)
    add_subdirectory(connectionstringparser_ut)
    if(WIN32)
        add_subdirectory(logging_ut)
        add_subdirectory(srw_lock_ut)
        add_subdirectory(socketio_win32_ut)
        add_subdirectory(x509_schannel_ut)
        add_subdirectory(platform_win32_ut)
        add_subdirectory(timer_win32_ut)
    else()
        add_subdirectory(socketio_berkeley_ut)
    endif()

    #normally, with proper include paths, the below tests can be run under windows too.
    if(${use_openssl})
        add_subdirectory(x509_openssl_ut)
    endif()

    add_subdirectory(string_tokenizer_ut)
    add_subdirectory(string_token_ut)
    add_subdirectory(strings_ut)
    add_subdirectory(tickcounter_ut)
    add_subdirectory(tlsio_options_ut)
    add_subdirectory(uniqueid_ut)
    add_subdirectory(uuid_ut)
    add_subdirectory(urlencode_ut)
    add_subdirectory(vector_ut)
    add_subdirectory(xio_ut)
    add_subdirectory(optionhandler_ut)
    add_subdirectory(memory_data_ut)

    if(use_wolfssl)
        add_subdirectory(tlsio_wolfssl_ut)
    endif()

    if(use_wsio)
        add_subdirectory(uws_client_ut)
        add_subdirectory(uws_frame_encoder_ut)
        add_subdirectory(wsio_ut)
        add_subdirectory(ws_url_ut)
    endif()

    #Add adapters tests
    add_subdirectory(tickcounter_freertos_ut)
    if(use_cyclonessl AND WIN32)
        add_subdirectory(tlsio_cyclonessl_ut)
        add_subdirectory(tlsio_cyclonessl_socket_bsd_ut)
    endif()

    if(use_mbedtls)
        add_subdirectory(tlsio_mbedtls_ut)
    endif()

    if(use_bearssl)
        add_subdirectory(tlsio_bearssl_ut)
    endif()

    add_subdirectory(utf8_checker_ut)
    add_subdirectory(http_proxy_io_ut)
    if(NOT DEFINED MACOSX)
        #add_subdirectory(socket_async_ut)
        #add_subdirectory(dns_resolver_ut)
    endif()

    #Add template as reference for new tests
    add_subdirectory(template_ut)
endif()

if(${run_int_tests})
    if(WIN32)
        add_subdirectory(x509_schannel_int)
        add_subdirectory(string_utils_int)
    endif()
endif()

=== 0.5-r0/rfkill-0.5/Makefile ===
MAKEFLAGS += --no-print-directory

PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man

MKDIR ?= mkdir -p
INSTALL ?= install
CC ?= "gcc"

CFLAGS ?= -O2 -g
CFLAGS += -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration

OBJS = rfkill.o version.o
ALL = rfkill

ifeq ($(V),1)
Q=
NQ=true
else
Q=@
NQ=echo
endif

all: $(ALL)

VERSION_OBJS := $(filter-out version.o, $(OBJS))

version.c: version.sh $(patsubst %.o,%.c,$(VERSION_OBJS)) rfkill.h Makefile \
		$(wildcard .git/index .git/refs/tags)
	@$(NQ) ' GEN ' $@
ifeq (,$(VERSION_SUFFIX))
	$(Q)./version.sh $@
else
	$(Q)./version.sh --suffix "$(VERSION_SUFFIX)" $@
endif

%.o: %.c rfkill.h
	@$(NQ) ' CC  ' $@
	$(Q)$(CC) $(CFLAGS) -c -o $@ $<

rfkill:	$(OBJS)
	@$(NQ) ' CC  ' rfkill
	$(Q)$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o rfkill

check:
	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" cgcc"

%.gz: %
	@$(NQ) ' GZIP' $<
	$(Q)gzip < $< > $@

install: rfkill rfkill.8.gz
	@$(NQ) ' INST rfkill'
	$(Q)$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(Q)$(INSTALL) -m 755 rfkill $(DESTDIR)$(SBINDIR) 
	@$(NQ) ' INST rfkill.8'
	$(Q)$(MKDIR) $(DESTDIR)$(MANDIR)/man8/
	$(Q)$(INSTALL) -m 644 rfkill.8.gz $(DESTDIR)$(MANDIR)/man8/

clean:
	$(Q)rm -f rfkill *.o *~ *.gz version.c *-stamp

=== 0.64-r0/quilt-0.64/Makefile ===
PACKAGE :=	quilt
VERSION :=	0.64
RELEASE :=	1
PACKAGE_TARNAME := quilt
PACKAGE_BUGREPORT := quilt-dev@nongnu.org

prefix :=	/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr
exec_prefix :=	/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr
bindir :=	/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/bin
datarootdir :=	${prefix}/share
datadir :=	/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/share
docdir :=	${datarootdir}/doc/${PACKAGE_TARNAME}
mandir :=	/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/share/man
localedir :=	$(datadir)/locale
emacsdir :=	$(datadir)/emacs/site-lisp
etcdir :=	/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/etc

INSTALL :=	/usr/bin/install -c
POD2MAN :=	/usr/bin/pod2man
COLUMN :=	/usr/bin/column
GETOPT :=	/usr/bin/getopt
CP :=		/bin/cp
DATE :=		/bin/date
PERL :=		/usr/bin/perl
BASH :=		/bin/bash
SHELL:=		/bin/bash # It does not work if dash is used as a shell, for example
GREP :=		/bin/grep
TAIL :=		/usr/bin/tail
TR :=		/usr/bin/tr
SED :=		/bin/sed
AWK :=		/bin/gawk
FIND :=		/bin/find
XARGS :=	/usr/bin/xargs
DIFF :=		/usr/local/AccuRev/bin/diff
PATCH :=	/usr/bin/patch
MKTEMP :=	/bin/mktemp
MSGMERGE :=	/usr/bin/msgmerge
MSGFMT :=	/usr/bin/msgfmt
XGETTEXT :=	/usr/bin/xgettext
MSGUNIQ :=	/usr/bin/msguniq
MSGCAT :=	/usr/bin/msgcat
DIFFSTAT :=	/usr/bin/diffstat
RPMBUILD :=	/usr/bin/rpmbuild
SENDMAIL :=	/usr/sbin/sendmail
MD5SUM :=	/usr/bin/md5sum

USE_NLS :=	no
STAT_HARDLINK := -c '%h'
PATCH_WRAPPER := 

COMPAT_SYMLINKS	:=  awk sendmail
COMPAT_PROGRAMS	:= 

default: all

#-----------------------------------------------------------------------
DIRT +=		$(shell $(FIND) . -name '*~')
DIRT +=		$(shell $(FIND) . -name '.\#*')

SRC +=		COPYING AUTHORS TODO Makefile.in configure.ac		\
		config/install-sh quilt.spec.in NEWS			\
		bash_completion quilt.quiltrc aclocal.m4 git-desc
DIRT +=		quilt.spec

DIRT +=		$(PACKAGE)-*.tar.gz
DIRT +=		$(PACKAGE)-*.tar.gz.sig
DIRT +=		$(PACKAGE)-*.tar.bz2

BIN_IN :=	quilt guards
BIN_SRC :=	$(BIN_IN:%=%.in)
BIN :=		$(BIN_IN)
SRC +=		$(BIN_SRC:%=bin/%) bin/patch-wrapper.in
DIRT +=		$(BIN_IN:%=bin/%) bin/patch-wrapper

QUILT_IN :=	$(patsubst quilt/%.in,%,$(wildcard quilt/*.in))
QUILT_SRC :=	$(QUILT_IN:%=%.in)
QUILT :=	$(QUILT_IN)
SRC +=		$(QUILT_SRC:%=quilt/%)
DIRT +=		$(QUILT_IN:%=quilt/%)

SCRIPTS_IN :=	patchfns inspect-wrapper dependency-graph edmail	\
		remove-trailing-ws backup-files

SCRIPTS_SRC :=	$(SCRIPTS_IN:%=%.in)
SCRIPTS :=	$(SCRIPTS_IN)
SRC +=		$(SCRIPTS_SRC:%=quilt/scripts/%)
SRC +=		quilt/scripts/utilfns
DIRT +=		$(SCRIPTS_IN:%=quilt/scripts/%)

COMPAT :=	$(COMPAT_PROGRAMS:%=compat/%) $(COMPAT_SYMLINKS:%=compat/%)
SRC +=		$(wildcard compat/*.in) $(wildcard compat/*.sh)
DIRT +=		$(patsubst %.in,%,$(wildcard compat/*.in)) $(COMPAT_SYMLINKS:%=compat/%)

LIB_SRC :=	quilt.el
SRC +=		$(LIB_SRC:%=lib/%)

DOC_IN :=	README quilt.1
DOC_SRC :=	$(DOC_IN:%=doc/%.in)
DOC :=		$(DOC_IN)
SRC +=		$(DOC_SRC)
SRC +=		doc/main.tex doc/quilt.pdf doc/Makefile	\
		doc/README.MAIL doc/README.EMACS
DIRT +=		$(DOC_IN:%=doc/%) doc/reference

MAN1 :=		doc/quilt.1
ifneq ($(POD2MAN),)
MAN1 +=		bin/guards.1
DIRT +=		bin/guards.1
endif

LINGUAS :=	fr de ja ru
PO :=		quilt.pot $(LINGUAS:%=%.po)
SRC +=		$(PO:%=po/%)
DIRT +=		po/*.mo po/*~

SRC +=		$(wildcard test/*.test) test/run test/test.quiltrc

NON_EXEC_IN :=	doc/quilt.1 doc/README quilt/scripts/patchfns quilt/scripts/utilfns

GIT_DESC :=	$(shell ./git-desc | sed -e 's:^v::')

# Tests are sorted to make it easier to compare the results between runs
TESTS :=	$(sort $(wildcard test/*.test))
ifeq ($(PATCH_WRAPPER),)
TESTS :=	$(filter-out test/patch-wrapper.test,$(TESTS))
endif
DIRT +=		test/.depend $(wildcard test/.*.ok)

# Settings for running the uninstalled version of quilt in the source tree:
PATH :=		$(CURDIR)/bin:$(CURDIR)/compat:$(PATH)
QUILT_DIR :=	$(CURDIR)/quilt
QUILTRC :=	$(CURDIR)/test/test.quiltrc
export QUILT_DIR QUILTRC

#-----------------------------------------------------------------------

all : configure scripts compat $(DOC:%=doc/%) $(MAN1) mofiles

ifeq ($(USE_NLS),yes)
mofiles : $(LINGUAS:%=po/%.mo)
else
mofiles :
endif

%.mo : %.po
	$(MSGFMT) --statistics -o $@ $<

%.po : po/quilt.pot
	$(MSGMERGE) -o $@ $@ $^

scripts : $(BIN:%=bin/%) $(QUILT:%=quilt/%)				\
	  $(SCRIPTS:%=quilt/scripts/%)					\
	  $(if $(PATCH_WRAPPER),bin/patch-wrapper)

dist : clean $(PACKAGE)-$(VERSION).tar.gz

publish : dist
	gpg --detach-sign --use-agent $(PACKAGE)-$(VERSION).tar.gz
	scp $(PACKAGE)-$(VERSION).tar.gz{,.sig} \
		dl.sv.nongnu.org:/releases/quilt/

snapshot : $(PACKAGE)-$(GIT_DESC).tar.bz2

rpm rpmbuild : $(PACKAGE)-$(VERSION).tar.gz
	$(RPMBUILD) -ta $<

po/quilt.pot: $(filter-out doc/quilt.1.in doc/README.in,		\
			   $(wildcard */*.in) $(wildcard */*/*.in))
	rm -f po/quilt.pot; touch po/quilt.pot
	for file in $+ ; do						\
	  if test -n "`$(SED) -ne '1{ /@BASH''@/p }' $$file`"		\
	       -o "$$file" = quilt/scripts/patchfns.in; then		\
	    $(BASH) --dump-po-strings $$file ;				\
	  elif test -n "`$(SED) -ne '1{ /@PERL''@/p }' $$file`"; then	\
	    $(XGETTEXT) --from-code=UTF-8 --omit-header --language=Perl	\
			--keyword=_ -o - $$file;			\
	  else								\
	    echo "Don't know how to handle $$file" >&2 ;		\
	    exit 1;							\
	  fi								\
	done								\
	|$(MSGUNIQ)							\
	|$(MSGCAT) --force-po -F - $@ -o $@

doc/README : doc/README.in doc/reference
	@echo "README.in -> README"
	@while read line; do						\
		case "$$line" in					\
		'@REFERENCE''@')					\
			cat doc/reference				\
			;;						\
		*)							\
			echo $$line					\
			;;						\
		esac ;							\
	done 2>&1 < $< > $@

doc/quilt.1: doc/quilt.1.in doc/reference $(COMPAT)
	@echo "quilt.1.in -> quilt.1"
	@while read line; do						\
	  case "$$line" in						\
	  '@REFERENCE''@')						\
	    $(SED) -e 's/^quilt \([^ ]*\)\(.*\)/.IP "\\fB\1\\fP\2 " 4/'	\
		   -e $$'s/^  \\(-[^\t]*\\)\t\\?/.IP "    \\1" 8\\\n/'	\
		   -e $$'s/^  \t\\?//'					\
	    < doc/reference						\
	    ;;								\
	  *@DOCSUBDIR@*)						\
	    echo "$$line" |						\
	    $(SED) -e 's:@DOCSUBDIR''@:$(docdir):g' \
	    ;;								\
	  *)								\
	    echo "$$line"						\
	    ;;								\
	  esac;								\
	done < $< 2>&1 > $@

doc/reference : bin/quilt $(QUILT:%=quilt/%) quilt/scripts/patchfns quilt/scripts/utilfns $(COMPAT)
	@unset LANG LC_MESSAGES LC_CTYPE LC_ALL;			\
	for i in $(sort $(QUILT));					\
	do								\
		echo;							\
		QUILT_PC=.fake_pc quilt $$i -h;				\
		echo;							\
	done |								\
	$(SED) -e 's/\$$EDITOR ([^)]*)/$$EDITOR/'			\
	       -e '/^$$/!s/^/  /'					\
	       -e 's/^  Usage: *//' > $@

bin/guards.1 : bin/guards
	$(POD2MAN) $< > $@

$(PACKAGE)-$(VERSION).tar.gz : $(SRC) configure $(PACKAGE).spec
	rm -f $(PACKAGE)-$(VERSION) $@
	ln -s . $(PACKAGE)-$(VERSION)
	tar chf - $(+:%=$(PACKAGE)-$(VERSION)/%) | gzip -9 > $@
	rm -f $(PACKAGE)-$(VERSION)
	@echo "File $@ created."

$(PACKAGE)-$(GIT_DESC).tar.bz2 : $(SRC) configure $(PACKAGE).spec
	rm -f $(PACKAGE)-$(GIT_DESC) $@
	ln -s . $(PACKAGE)-$(GIT_DESC)
	tar chf - $(+:%=$(PACKAGE)-$(GIT_DESC)/%) | bzip2 -9 > $@
	rm -f $(PACKAGE)-$(GIT_DESC)
	@echo "File $@ created."

$(PACKAGE).spec : $(PACKAGE).spec.in NEWS Makefile
	@echo "Generating spec file" ;					\
	set -e ;							\
	changelog="`sed 						\
		-e 's/^Version \([0-9.]*\) (\(.*\))/* \2 - upstream\n- Update to version \1/' \
		-e 's/^  -/  +/' < NEWS`" ;				\
	$(AWK) '{ gsub(/@VERSION''@/, "$(VERSION)") ;			\
		  gsub(/@RELEASE''@/, "$(RELEASE)") ;			\
		  gsub(/@CHANGELOG''@/, changelog) ;			\
		  print }' changelog="$$changelog" $< > $@

$(patsubst %.in,%,$(wildcard bin/*.in quilt/*.in quilt/scripts/*.in)) :: Makefile
% :: %.in
	@echo "$< -> $@" >&2
	@$(SED) -e 's:@QUILT_DIR''@:$(datadir)/$(PACKAGE):g'		\
		-e 's:@PERL''@:$(PERL):g'				\
		-e 's:@BASH''@:$(BASH):g'				\
		-e 's:@PATCH''@:$(PATCH):g'				\
		-e 's:@STAT_HARDLINK''@:$(STAT_HARDLINK):g'		\
		-e 's:@VERSION''@:$(VERSION):g'				\
		-e 's:@ETCDIR''@:$(etcdir):g'				\
		-e 's:@LOCALEDIR''@:$(localedir):g'			\
		-e 's:@DOCSUBDIR''@:$(docdir):g'			\
		$< > $@
	@$(if $(filter $@,$(NON_EXEC_IN)),,chmod +x $@)

configure : configure.ac aclocal.m4
	autoconf
	@echo "Please run ./configure"
	@false

Makefile : Makefile.in configure
	@echo "Please run ./configure"
	@false

compat_leftover := $(filter-out $(COMPAT),$(shell $(FIND) compat -type f -perm -0100))

.PHONY :: compat
compat :: $(COMPAT)
	$(if $(compat_leftover),rm -f $(compat_leftover))

# VIRTUAL_SYMLINKS creates a shell script that operates similar to
# a symbolic link.  It is used to workaround the way make treats
# symlinks as targets.
#   Usage: $(call VIRTUAL_SYMLINK, source, target)
define VIRTUAL_SYMLINK
	@echo "Generating $(strip $(1)) wrapper" >&2;
	@printf "#!%s\nexec %s "'"$$@"'"\n" $(BASH) $(strip $(1)) > $(2);
endef

# Rule to create compat/<binary> for each binary in $(COMPAT_SYMLINKS)
$(COMPAT_SYMLINKS:%=compat/%) :: Makefile
	$(call VIRTUAL_SYMLINK, \
		$($(shell echo $@ | $(AWK) '{split($$1, ar, "/"); print toupper(ar[2])}')), \
		$(strip $@))
	@chmod +x $(strip $@)

install-main :: scripts
	$(INSTALL) -d $(BUILD_ROOT)$(bindir)
	$(INSTALL) -m 755 $(BIN:%=bin/%) $(BUILD_ROOT)$(bindir)/

	$(INSTALL) -d $(BUILD_ROOT)$(datadir)/$(PACKAGE)
	$(INSTALL) -m 755 $(QUILT:%=quilt/%) $(BUILD_ROOT)$(datadir)/$(PACKAGE)/

	$(INSTALL) -d $(BUILD_ROOT)$(datadir)/$(PACKAGE)/scripts
	$(INSTALL) -m 755 $(patsubst %,quilt/scripts/%,			\
			  $(filter-out patchfns,$(SCRIPTS)))		\
		   $(BUILD_ROOT)$(datadir)/$(PACKAGE)/scripts
	$(INSTALL) -m 644 quilt/scripts/patchfns quilt/scripts/utilfns	\
		   $(BUILD_ROOT)$(datadir)/$(PACKAGE)/scripts
ifneq ($(PATCH_WRAPPER),)
	$(INSTALL) -d $(BUILD_ROOT)$(datadir)/$(PACKAGE)/wrapper
	$(INSTALL) -m 755 bin/patch-wrapper				\
		   $(BUILD_ROOT)$(datadir)/$(PACKAGE)/wrapper/patch
endif

	$(INSTALL) -d $(BUILD_ROOT)$(docdir)/
	$(INSTALL) -m 644 doc/README					\
		   $(BUILD_ROOT)$(docdir)/
	$(INSTALL) -m 644 doc/quilt.pdf doc/README.MAIL			\
		   $(BUILD_ROOT)$(docdir)/

	$(INSTALL) -d $(BUILD_ROOT)$(mandir)/man1
	$(INSTALL) -m 644 $(MAN1) $(BUILD_ROOT)$(mandir)/man1/

	$(INSTALL) -d $(BUILD_ROOT)$(etcdir)
	$(INSTALL) -d $(BUILD_ROOT)$(etcdir)/bash_completion.d
	$(INSTALL) -m 644 bash_completion				\
		   $(BUILD_ROOT)$(etcdir)/bash_completion.d/quilt
	$(INSTALL) -m 644 quilt.quiltrc $(BUILD_ROOT)$(etcdir)/
	$(INSTALL) -d $(BUILD_ROOT)$(emacsdir)/
	$(INSTALL) -m 644 lib/quilt.el $(BUILD_ROOT)$(emacsdir)/

install-compat: install-compat1 $(COMPAT_SYMLINKS:%=install-compat-symlink-%)
install-compat-symlink-% :: install-compat1
	ln -sf $($(shell echo $* | $(AWK) '{print toupper($$1)}'))	\
	       $(BUILD_ROOT)$(datadir)/$(PACKAGE)/compat/$*

install-compat1:
	rm -rf $(BUILD_ROOT)$(datadir)/$(PACKAGE)/compat
ifneq ($(COMPAT_PROGRAMS)$(COMPAT_SYMLINKS),)
	$(INSTALL) -d $(BUILD_ROOT)$(datadir)/$(PACKAGE)/compat
ifneq ($(COMPAT_PROGRAMS),)
	$(INSTALL) -m 755 $(COMPAT_PROGRAMS:%=compat/%)			\
		   $(BUILD_ROOT)$(datadir)/$(PACKAGE)/compat
endif
endif

install: install-main install-compat

uninstall ::
	rm -rf $(BIN:%=$(BUILD_ROOT)$(bindir)/%)			\
	       $(BUILD_ROOT)$(datadir)/$(PACKAGE)			\
	       $(patsubst %,$(BUILD_ROOT)$(mandir)/man1/%,		\
		   $(notdir $(MAN1)))					\
	       $(BUILD_ROOT)$(etcdir)/bash_completion.d/quilt		\
	       $(BUILD_ROOT)$(etcdir)/quilt.quiltrc			\
	       $(BUILD_ROOT)$(docdir)/					\
	       $(BUILD_ROOT)$(emacsdir)/quilt.el

check: $(TESTS:test/%.test=test/.%.ok)
check-all: $(TESTS:test/%.test=check-%)

check-% : test/.%.ok
	@/bin/true

# Only include the test suite dependencies when required
ifneq ($(findstring test,$(MAKECMDGOALS))$(findstring check,$(MAKECMDGOALS)),)
-include test/.depend
endif # (test|check)

test/.patch-wrapper.ok : bin/patch-wrapper

=== 1.0-r0/git/Makefile ===
#/*
#* Copyright (c) 2017 Redpine Signals Inc. All rights reserved.
#*
#* Redistribution and use in source and binary forms, with or without
#* modification, are permitted provided that the following conditions are met:
#*
#* 	1. Redistributions of source code must retain the above copyright
#* 	   notice, this list of conditions and the following disclaimer.
#*
#* 	2. Redistributions in binary form must reproduce the above copyright
#* 	   notice, this list of conditions and the following disclaimer in the
#* 	   documentation and/or other materials provided with the distribution.
#*
#* 	3. Neither the name of the copyright holder nor the names of its
#* 	   contributors may be used to endorse or promote products derived from
#* 	   this software without specific prior written permission.
#*
#* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
#* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
#* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
#* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
#* INTERRUPTION). HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
#* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
#* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#* POSSIBILITY OF SUCH DAMAGE.
#*/


ROOT_DIR:=$(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

include $(ROOT_DIR)/.config
include $(ROOT_DIR)/config/make.config

COMMON_HAL_DRV:=common_hal
COMMON_HAL_OSI:=$(COMMON_HAL_DRV)/osi/
COMMON_HAL_OSD:=$(COMMON_HAL_DRV)/osd/

SDIO_HOST_INTF_OSD_DIR:=$(COMMON_HAL_DRV)/intfdep/sdio/osd_sdio/linux
SDIO_HOST_INTF_OSI_DIR:=$(COMMON_HAL_DRV)/intfdep/sdio/osi_sdio
USB_HOST_INTF_OSD_DIR:=$(COMMON_HAL_DRV)/intfdep/usb/osd_usb/linux
USB_HOST_INTF_OSI_DIR:=$(COMMON_HAL_DRV)/intfdep/usb/osi_usb


WLAN_DRV:=$(ROOT_DIR)/wlan
IEEE80211_DIR:=wlan/net80211/linux
WLAN_HAL_DIR:=wlan/wlan_hal
WLAN_DEVDEP_DIR:=wlan/wlan_hal/osi_wlan/devdep/rsi_9113
WLAN_CORE_DIR:=wlan/wlan_hal/osi_wlan/core
WLAN_OSD_DIR:=wlan/wlan_hal/osd_wlan/linux
WLAN_IEEE80211_OSI:=wlan/net80211/linux/osi_net80211/src
WLAN_IEEE80211_OSD_DIR:=wlan/net80211/linux/osd_linux/src

BT_DRV:=$(ROOT_DIR)/bt
BT_OSI_DIR:=bt/osi_bt
BT_OSD_DIR:=bt/osd_bt/linux

ZIGB_DRV:=$(ROOT_DIR)/zigbee
ZIGB_OSI_DIR := zigbee/osi_zigb
ZIGB_OSD_DIR := zigbee/osd_zigb/linux

WLAN_SUPP_DIR:=$(ROOT_DIR)/wlan/supplicant/linux
WLAN_HOSTAPD_DIR:=$(ROOT_DIR)/wlan/hostapd-2.4/hostapd

UTILS_DIR:=$(ROOT_DIR)/utils/

DEST_DIR=$(ROOT_DIR)/release
MOD_DIR=$(ROOT_DIR)/mod_files/


DEF_KERNEL_DIR := /lib/modules/$(shell uname -r)/build

ifeq ($(KERNELDIR),)
	KERNELDIR := $(DEF_KERNEL_DIR)
endif

EXTRA_CFLAGS += -DLINUX -Wimplicit -Wstrict-prototypes

EXTRA_CFLAGS += -DFLASH_BURNING
EXTRA_CFLAGS += -DRSI_SDIO_MULTI_BLOCK_SUPPORT
EXTRA_CFLAGS += -DDYNAMIC_VARIABLES
EXTRA_CFLAGS += -DRF_8111

EXTRA_CFLAGS += -I$(ROOT_DIR)/$(COMMON_HAL_DRV)/include/linux/
EXTRA_CFLAGS += -I$(ROOT_DIR)/$(COMMON_HAL_DRV)/include/common/

################WLAN COMPILE FLAGS ##################################
EXTRA_CFLAGS += -DINET6
EXTRA_CFLAGS += -Dnet80211_s
EXTRA_CFLAGS += -DBGSCAN_SUPPORT
EXTRA_CFLAGS += -DPWR_SAVE_SUPPORT
EXTRA_CFLAGS += -DACM_NO_TSPEC_CNFM
EXTRA_CFLAGS += -DBYPASS_TX_DATA_PATH
EXTRA_CFLAGS += -DBYPASS_RX_DATA_PATH
EXTRA_CFLAGS += -DIEEE80211_AMPDU_AGE
EXTRA_CFLAGS += -DSECURITY_SUPPORT
EXTRA_CFLAGS += -DAMPDU_AGGR_SUPPORT

# Enable or disable below option in make.config
ifeq ($(ENABLE_P2P_SUPPORT), y)
	EXTRA_CFLAGS += -DENABLE_P2P_SUPPORT
endif

# Enable or disable below option in make.config
ifeq ($(RSI_CCX), y)
EXTRA_CFLAGS += -DRSI_CCX
endif

EXTRA_CFLAGS += -DUSE_WORKQUEUES
#EXTRA_CFLAGS += -DUSE_INTCONTEXT
EXTRA_CFLAGS += -DCHANNEL_UTILIZATION
#EXTRA_CFLAGS += -DDISABLE_DFS_CHANNELS
#EXTRA_CFLAGS += -DCHIP_9116
#EXTRA_CFLAGS += -DMODE_11AH
#EXTRA_CFLAGS += -DIEEE80211K
#EXTRA_CFLAGS += -DRADAR_AUTO
#EXTRA_CFLAGS += -DCONFIG_11W
#EXTRA_CFLAGS += -DCONFIG_11R
#EXTRA_CFLAGS += -DSDIO_CMD52_RESET
#EXTRA_CFLAGS += -D SEPERATE_BROADCAST_QUEUE
#EXTRA_CFLAGS += -DCONFIG_FPGA_40MHZ
#EXTRA_CFLAGS += -DUART_DEBUG
#EXTRA_CFLAGS += -DDUTY_CYCLE_IOCTL
#EXTRA_CFLAGS += -DCONFIG_ACS
EXTRA_CFLAGS += -DONEBOX_CONFIG_WOWLAN
#EXTRA_CFLAGS += -DONEBOX_CONFIG_GTK_OFFLOAD
#EXTRA_CFLAGS += -DONEBOX_CONFIG_PUF
EXTRA_CFLAGS += -I$(ROOT_DIR)/$(IEEE80211_DIR)/osd_linux/include/
EXTRA_CFLAGS += -I$(ROOT_DIR)/$(IEEE80211_DIR)/osi_net80211/net80211/
EXTRA_CFLAGS += -I$(ROOT_DIR)/$(IEEE80211_DIR)/osi_net80211/
EXTRA_CFLAGS += -I$(ROOT_DIR)/wlan/wlan_hal/include/linux
#####################END OF WLAN FLAGS ###############################

################ BT COMPILE FLAGS ##################################
EXTRA_CFLAGS += -DUSE_BLUEZ_BT_STACK
EXTRA_CFLAGS += -I$(ROOT_DIR)/bt/include/linux
#####################END OF BT FLAGS ###############################

################ ZIGBEE COMPILE FLAGS ##################################
EXTRA_CFLAGS += -I$(ROOT_DIR)/zigbee/include/linux
#####################END OF ZIGB FLAGS ###############################

EXTRA_CFLAGS += -g

DRV_DIR=$(ROOT_DIR)/


ifeq ($(USE_USB),"Y")
EXTRA_CFLAGS += -DUSE_USB_INTF
HOST_INTF_OSI_OBJ := $(USB_HOST_INTF_OSI_DIR)/onebox_usb_main_osi.o        \
										 $(USB_HOST_INTF_OSI_DIR)/onebox_host_intf_osi_callbacks.o 
HOST_INTF_OSD_OBJ := $(USB_HOST_INTF_OSD_DIR)/onebox_usb_main_osd.o        \
											 $(USB_HOST_INTF_OSD_DIR)/onebox_host_intf_osd_callbacks.o
endif

ifeq ($(USE_SDIO),"Y")
EXTRA_CFLAGS += -DUSE_SDIO_INTF
EXTRA_CFLAGS += -DSDIO_COMMANDS
HOST_INTF_OSI_OBJ += $(SDIO_HOST_INTF_OSI_DIR)/onebox_sdio_main_osi.o      \
										 $(SDIO_HOST_INTF_OSI_DIR)/onebox_host_intf_osi_callbacks.o 

HOST_INTF_OSD_OBJ +=  $(SDIO_HOST_INTF_OSD_DIR)/onebox_sdio_main_osd.o      \
										  $(SDIO_HOST_INTF_OSD_DIR)/onebox_host_intf_osd_callbacks.o 
endif

COMMON_NON_GPL_OBJ := $(COMMON_HAL_OSI)onebox_common_tx.o \
											$(COMMON_HAL_OSI)onebox_common_rx.o        \
											$(COMMON_HAL_OSI)onebox_common_init.o      \
											$(COMMON_HAL_OSI)onebox_flashing.o         \
											$(COMMON_HAL_OSI)checksum_onescompliment.o \
											$(COMMON_HAL_OSI)onebox_common_devops.o    \
											$(COMMON_HAL_OSI)onebox_common_callbacks.o \
											$(COMMON_HAL_OSI)onebox_common_pwr_mngr.o \
											$(COMMON_HAL_OSI)onebox_common_dev_config_params.o

COMMON_NON_GPL_OBJ += $(COMMON_HAL_OSI)onebox_sdio_devops.o
COMMON_NON_GPL_OBJ += $(COMMON_HAL_OSI)onebox_usb_devops.o


COMMON_GPL_OBJ := $(COMMON_HAL_OSD)linux/onebox_osd_ops.o       \
									$(COMMON_HAL_OSD)linux/onebox_osd_callbacks.o \
									$(COMMON_HAL_OSD)linux/onebox_file_ops.o      \
									$(COMMON_HAL_OSD)linux/onebox_thread.o        \
									$(COMMON_HAL_OSD)linux/onebox_private.o       \
									$(COMMON_HAL_OSD)linux/onebox_proc.o          \
									$(COMMON_HAL_OSD)linux/onebox_osd_callbacks.o \
	
ONEBOX_GPL_OBJ :=	$(COMMON_HAL_OSD)linux/onebox_modules_init.o  



wlan_wep-objs   := $(WLAN_IEEE80211_OSI)/ieee80211_crypto_wep.o
wlan_tkip-objs   := $(WLAN_IEEE80211_OSI)/ieee80211_crypto_tkip.o
wlan_scan_sta-objs   := $(WLAN_IEEE80211_OSI)/ieee80211_scan_sta.o
wlan_ccmp-objs   := $(WLAN_IEEE80211_OSI)/ieee80211_crypto_ccmp.o
wlan_xauth-objs   := $(WLAN_IEEE80211_OSI)/ieee80211_xauth.o
wlan_aes_cmac-objs := $(WLAN_IEEE80211_OSI)/ieee80211_crypto_bip.o

wlan_acl-objs   := $(WLAN_IEEE80211_OSI)/ieee80211_acl.o
wlan-objs := $(WLAN_IEEE80211_OSI)/ieee80211.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_linux.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_ioctl.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_node.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_action.o       \
						 $(WLAN_IEEE80211_OSI)/ieee80211_adhoc.o        \
						 $(WLAN_IEEE80211_OSI)/ieee80211_ageq.o        \
						 $(WLAN_IEEE80211_OSI)/ieee80211_crypto.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_crypto_none.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_dfs.o  \
						 $(WLAN_IEEE80211_OSI)/ieee80211_quiet.o  \
						 $(WLAN_IEEE80211_OSI)/ieee80211_ht.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_mfp.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_input.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_mesh.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_monitor.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_phy.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_proto.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_ratectl.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_regdomain.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_wds.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_scan.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_sta.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_superg.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_hostap.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_radiotap.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_power.o \
						 $(WLAN_IEEE80211_OSI)/ieee80211_output.o\
						 $(WLAN_IEEE80211_OSI)/ieee80211_11k.o\
						 $(WLAN_IEEE80211_OSD_DIR)/mbuf.o \
						 $(WLAN_IEEE80211_OSD_DIR)/sysctl.o \
						 $(WLAN_IEEE80211_OSD_DIR)/ndiface.o \
						 $(WLAN_IEEE80211_OSD_DIR)/ioctl.o \
						 $(WLAN_IEEE80211_OSD_DIR)/linux.o \
						 $(WLAN_IEEE80211_OSD_DIR)/cfg80211_ioctl.o \
						 $(WLAN_IEEE80211_OSD_DIR)/cfg80211_wrapper.o \

ifeq ($(ENABLE_P2P_SUPPORT), y)
	wlan-objs += $(WLAN_IEEE80211_OSI)/ieee80211_p2p.o
endif

WLAN_DEVDEP_OBJ := $(WLAN_DEVDEP_DIR)/onebox_wlan_osi_init.o \
									 $(WLAN_DEVDEP_DIR)/onebox_devdep_wlan_callbacks.o \
									 $(WLAN_DEVDEP_DIR)/onebox_dev_ops.o \
									 $(WLAN_DEVDEP_DIR)/onebox_ps.o \
									 $(WLAN_DEVDEP_DIR)/onebox_devdep_mgmt.o \
									 $(WLAN_DEVDEP_DIR)/onebox_pktpro.o    \
									 $(WLAN_DEVDEP_DIR)/onebox_debug.o    \
									 $(WLAN_DEVDEP_DIR)/onebox_reorder.o \
									 $(WLAN_DEVDEP_DIR)/onebox_radar.o	

WLAN_CORE_OBJ := $(WLAN_CORE_DIR)/onebox_core_wlan.o  \
								 $(WLAN_CORE_DIR)/onebox_wlan_per.o  \
								 $(WLAN_CORE_DIR)/onebox_core_wlan_callbacks.o  \
								 $(WLAN_CORE_DIR)/onebox_core_hal_intf.o   \
								 $(WLAN_CORE_DIR)/onebox_core_os_intf.o \
								 $(WLAN_CORE_DIR)/onebox_core_autorate.o  \
								 $(WLAN_CORE_DIR)/onebox_core_vap.o \
								 $(WLAN_CORE_DIR)/onebox_core_wmm.o \
								 $(WLAN_CORE_DIR)/onebox_net80211_callbacks.o

WLAN_OSD_OBJ := $(WLAN_OSD_DIR)/onebox_wlan_ioctl.o  \
								$(WLAN_OSD_DIR)/onebox_wlan_osd_init.o \
								$(WLAN_OSD_DIR)/onebox_wlan_osd_ops.o \
								$(WLAN_OSD_DIR)/onebox_wlan_osd_callbacks.o \
								$(WLAN_OSD_DIR)/onebox_wlan_proc.o 

BT_OSI_OBJ := $(BT_OSI_DIR)/onebox_bt_osi_init.o \
							$(BT_OSI_DIR)/onebox_bt_rx.o \
							$(BT_OSI_DIR)/onebox_bt_tx.o \
							$(BT_OSI_DIR)/onebox_bt.o \
							$(BT_OSI_DIR)/onebox_bt_osi_callbacks.o 

BT_OSD_OBJ := $(BT_OSD_DIR)/onebox_osd_bluez.o \
							$(BT_OSD_DIR)/onebox_bt_nl.o \
							$(BT_OSD_DIR)/onebox_bt_osd_init.o \
							$(BT_OSD_DIR)/onebox_bt_osd_callbacks.o \
							$(BT_OSD_DIR)/onebox_bt_proc.o  

ZIGB_OSI_OBJ := $(ZIGB_OSI_DIR)/onebox_zigb_osi_init.o \
								$(ZIGB_OSI_DIR)/onebox_zigb_rx.o \
								$(ZIGB_OSI_DIR)/onebox_zigb_tx.o \
								$(ZIGB_OSI_DIR)/onebox_zigb.o \
								$(ZIGB_OSI_DIR)/onebox_zigb_osi_callbacks.o \

ZIGB_OSD_OBJ := $(ZIGB_OSD_DIR)/onebox_zigb_ioctl.o \
								$(ZIGB_OSD_DIR)/onebox_zigb_nl.o \
								$(ZIGB_OSD_DIR)/onebox_zigb_osd_init.o \
								$(ZIGB_OSD_DIR)/onebox_zigb_osd_callbacks.o \
								$(ZIGB_OSD_DIR)/onebox_zigb_proc.o 

ifeq ($(RSI_CONFIG_ANDROID), y)
EXTRA_CFLAGS += -DRSI_CONFIG_ANDROID
BT_OSD_OBJ += $(BT_OSD_DIR)/onebox_osd_bluedroid.o
endif

BT_NONGPL_OBJS :=  $(BT_OSI_OBJ)
BT_GPL_OBJS := $(BT_OSD_OBJ)

obj-m := onebox_bt_gpl.o
onebox_bt_gpl-objs := $(BT_GPL_OBJS)

obj-m += onebox_bt_nongpl.o
onebox_bt_nongpl-objs := $(BT_NONGPL_OBJS)

ZIGB_GPL_OBJS := $(ZIGB_OSD_OBJ)
obj-m := onebox_zigb_gpl.o

=== 1.0-r0/sources/CMakeLists.txt ===
#
# Copyright 2015, Mentor Graphics Corporation
# http://www.mentor.com
#

cmake_minimum_required(VERSION 2.6)
project(SignalRClient)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
find_package(POCO REQUIRED)

include_directories(include
                    ${POCO_INCLUDE_DIR}
)

set(SOURCES src/ClientSession.cpp
            src/Connection.cpp
            src/ConnectionEvents.cpp
            src/ConnectionLife.cpp
            src/DiagnosticLogger.cpp 
            src/LongPollingTransport.cpp  
            src/Reconnection.cpp  
            src/Transport.cpp
            src/Util.cpp
            src/WebSocketsTransport.cpp
)

add_library(${PROJECT_NAME} SHARED ${SOURCES})

set(LIBS ${POCO_XML_LIB} ${POCO_UTIL_LIB} ${POCO_NET_LIB} ${POCO_JSON_LIB} ${POCO_FOUNDATION_LIB} ${POCO_NETSSL_LIB})

target_link_libraries(${PROJECT_NAME} ${LIBS})

install(TARGETS ${PROJECT_NAME} LIBRARY 
        DESTINATION lib)

install(FILES include/signalRClient/ClientSession.h
              include/signalRClient/ConnectionEvents.h
              include/signalRClient/Connection.h
              include/signalRClient/ConnectionLife.h
              include/signalRClient/ConnectionState.h
              include/signalRClient/Defaults.h
              include/signalRClient/DiagnosticLogger.h
              include/signalRClient/LongPollingTransport.h
              include/signalRClient/Reconnection.h
              include/signalRClient/SignalRException.h
              include/signalRClient/Transport.h
              include/signalRClient/Util.h
              include/signalRClient/WebSocketsTransport.h
        DESTINATION include/signalRClient)

ADD_SUBDIRECTORY(sample)

=== 1.0.2j-r0/openssl-1.0.2j/Makefile ===
### Generated automatically from Makefile.org by Configure.

##
## Makefile for OpenSSL
##

VERSION=1.0.2j
MAJOR=1
MINOR=0.2
SHLIB_VERSION_NUMBER=1.0.0
SHLIB_VERSION_HISTORY=
SHLIB_MAJOR=1
SHLIB_MINOR=0.0
SHLIB_EXT=.so.$(SHLIB_MAJOR).$(SHLIB_MINOR)
PLATFORM=linux-x86_64
OPTIONS=enable-shared --prefix=/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr --openssldir=/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/lib/ssl --libdir=lib no-ec_nistp_64_gcc_128 no-gmp no-jpake no-krb5 no-libunbound no-md2 no-rc5 no-rfc3779 no-sctp no-ssl-trace no-ssl2 no-ssl3 no-store no-unit-test no-weak-ssl-ciphers no-zlib no-zlib-dynamic no-static-engine
CONFIGURE_ARGS=-no-ssl3 shared --prefix=/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr --openssldir=/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/lib/ssl --libdir=lib linux-x86_64
SHLIB_TARGET=linux-shared

# HERE indicates where this Makefile lives.  This can be used to indicate
# where sub-Makefiles are expected to be.  Currently has very limited usage,
# and should probably not be bothered with at all.
HERE=.

# INSTALL_PREFIX is for package builders so that they can configure
# for, say, /usr/ and yet have everything installed to /tmp/somedir/usr/.
# Normally it is left empty.
INSTALL_PREFIX=
INSTALLTOP=/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr

# Do not edit this manually. Use Configure --openssldir=DIR do change this!
OPENSSLDIR=/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/lib/ssl

# NO_IDEA - Define to build without the IDEA algorithm
# NO_RC4  - Define to build without the RC4 algorithm
# NO_RC2  - Define to build without the RC2 algorithm
# THREADS - Define when building with threads, you will probably also need any
#           system defines as well, i.e. _REENTERANT for Solaris 2.[34]
# TERMIO  - Define the termio terminal subsystem, needed if sgtty is missing.
# TERMIOS - Define the termios terminal subsystem, Silicon Graphics.
# LONGCRYPT - Define to use HPUX 10.x's long password modification to crypt(3).
# DEVRANDOM - Give this the value of the 'random device' if your OS supports
#           one.  32 bytes will be read from this when the random
#           number generator is initalised.
# SSL_FORBID_ENULL - define if you want the server to be not able to use the
#           NULL encryption ciphers.
#
# LOCK_DEBUG - turns on lots of lock debug output :-)
# REF_CHECK - turn on some xyz_free() assertions.
# REF_PRINT - prints some stuff on structure free.
# CRYPTO_MDEBUG - turns on my 'memory leak' detecting stuff
# MFUNC - Make all Malloc/Free/Realloc calls call
#       CRYPTO_malloc/CRYPTO_free/CRYPTO_realloc which can be setup to
#       call application defined callbacks via CRYPTO_set_mem_functions()
# MD5_ASM needs to be defined to use the x86 assembler for MD5
# SHA1_ASM needs to be defined to use the x86 assembler for SHA1
# RMD160_ASM needs to be defined to use the x86 assembler for RIPEMD160
# Do not define B_ENDIAN or L_ENDIAN if 'unsigned long' == 8.  It must
# equal 4.
# PKCS1_CHECK - pkcs1 tests.

CC= gcc 
CFLAG= -fPIC -DOPENSSL_PIC -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -DL_ENDIAN 	 -DTERMIO -isystem/Icomfort/jenkins/workspace/Build_Linux/Yocto/build_m30-production/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -Wall -Wa,--noexecstack -DHAVE_CRYPTODEV -DUSE_CRYPTODEV_DIGESTS -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DRC4_ASM -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DMD5_ASM -DAES_ASM -DVPAES_ASM -DBSAES_ASM -DWHIRLPOOL_ASM -DGHASH_ASM -DECP_NISTZ256_ASM
DEPFLAG= -DOPENSSL_NO_EC_NISTP_64_GCC_128 -DOPENSSL_NO_GMP -DOPENSSL_NO_JPAKE -DOPENSSL_NO_LIBUNBOUND -DOPENSSL_NO_MD2 -DOPENSSL_NO_RC5 -DOPENSSL_NO_RFC3779 -DOPENSSL_NO_SCTP -DOPENSSL_NO_SSL_TRACE -DOPENSSL_NO_SSL2 -DOPENSSL_NO_SSL3 -DOPENSSL_NO_STORE -DOPENSSL_NO_UNIT_TEST -DOPENSSL_NO_WEAK_SSL_CIPHERS
PEX_LIBS= 
EX_LIBS= -ldl
EXE_EXT= 
ARFLAGS= 
AR= ar r $(ARFLAGS) r
RANLIB= ranlib
RC= windres
NM= nm
PERL= /usr/bin/perl
TAR= tar
TARFLAGS= --no-recursion
MAKEDEPPROG=makedepend
LIBDIR=lib

# We let the C compiler driver to take care of .s files. This is done in
# order to be excused from maintaining a separate set of architecture
# dependent assembler flags. E.g. if you throw -mcpu=ultrasparc at SPARC
# gcc, then the driver will automatically translate it to -xarch=v8plus
# and pass it down to assembler.
AS=$(CC) -c
ASFLAG=$(CFLAG)

# For x86 assembler: Set PROCESSOR to 386 if you want to support
# the 80386.
PROCESSOR= 

# CPUID module collects small commonly used assembler snippets
CPUID_OBJ= x86_64cpuid.o
BN_ASM= x86_64-gcc.o x86_64-mont.o x86_64-mont5.o x86_64-gf2m.o rsaz_exp.o rsaz-x86_64.o rsaz-avx2.o
EC_ASM= ecp_nistz256.o ecp_nistz256-x86_64.o
DES_ENC= des_enc.o fcrypt_b.o
AES_ENC= aes-x86_64.o vpaes-x86_64.o bsaes-x86_64.o aesni-x86_64.o aesni-sha1-x86_64.o aesni-sha256-x86_64.o aesni-mb-x86_64.o
BF_ENC= bf_enc.o
CAST_ENC= c_enc.o
RC4_ENC= rc4-x86_64.o rc4-md5-x86_64.o
RC5_ENC= rc5_enc.o
MD5_ASM_OBJ= md5-x86_64.o
SHA1_ASM_OBJ= sha1-x86_64.o sha256-x86_64.o sha512-x86_64.o sha1-mb-x86_64.o sha256-mb-x86_64.o
RMD160_ASM_OBJ= 
WP_ASM_OBJ= wp-x86_64.o
CMLL_ENC= cmll-x86_64.o cmll_misc.o
MODES_ASM_OBJ= ghash-x86_64.o aesni-gcm-x86_64.o
ENGINES_ASM_OBJ= 
PERLASM_SCHEME= elf

# KRB5 stuff
KRB5_INCLUDES=
LIBKRB5=

# Zlib stuff
ZLIB_INCLUDE=
LIBZLIB=

# TOP level FIPS install directory.
FIPSDIR=/usr/local/ssl/fips-2.0

# This is the location of fipscanister.o and friends.
# The FIPS module build will place it $(INSTALLTOP)/lib
# but since $(INSTALLTOP) can only take the default value
# when the module is built it will be in /usr/local/ssl/lib
# $(INSTALLTOP) for this build may be different so hard
# code the path.

FIPSLIBDIR=

# The location of the library which contains fipscanister.o
# normally it will be libcrypto unless fipsdso is set in which
# case it will be libfips. If not compiling in FIPS mode at all
# this is empty making it a useful test for a FIPS compile.

FIPSCANLIB=

# Shared library base address. Currently only used on Windows.
#

BASEADDR=0xFB00000

DIRS=   crypto ssl engines apps test tools
ENGDIRS= ccgost
SHLIBDIRS= crypto ssl

# dirs in crypto to build
SDIRS=  \
	objects \
	md4 md5 sha mdc2 hmac ripemd whrlpool \
	des aes rc2 rc4 idea bf cast camellia seed modes \
	bn ec rsa dsa ecdsa dh ecdh dso engine \
	buffer bio stack lhash rand err \
	evp asn1 pem x509 x509v3 conf txt_db pkcs7 pkcs12 comp ocsp ui krb5 \
	cms pqueue ts srp cmac
# keep in mind that the above list is adjusted by ./Configure
# according to no-xxx arguments...

# tests to perform.  "alltests" is a special word indicating that all tests
# should be performed.
TESTS = alltests

MAKEFILE= Makefile

MANDIR=/usr/share/man
MAN1=1
MAN3=3
MANSUFFIX=ssl
MANSECTION=SSL
HTMLSUFFIX=html
HTMLDIR=$(OPENSSLDIR)/html
SHELL=/bin/sh

TOP=    .
ONEDIRS=out tmp
EDIRS=  times doc bugs util include certs ms shlib mt demos perl sf dep VMS
WDIRS=  windows
LIBS=   libcrypto.a libssl.a
SHARED_CRYPTO=libcrypto$(SHLIB_EXT)
SHARED_SSL=libssl$(SHLIB_EXT)
SHARED_LIBS=$(SHARED_CRYPTO) $(SHARED_SSL)
SHARED_LIBS_LINK_EXTS=.so.$(SHLIB_MAJOR) .so
SHARED_LDFLAGS=-m64 -Wl,--version-script=openssl.ld

GENERAL=        Makefile
BASENAME=       openssl
NAME=           $(BASENAME)-$(VERSION)
TARFILE=        ../$(NAME).tar
EXHEADER=       e_os2.h
HEADER=         e_os.h

all: Makefile build_all

# as we stick to -e, CLEARENV ensures that local variables in lower
# Makefiles remain local and variable. $${VAR+VAR} is tribute to Korn
# shell, which [annoyingly enough] terminates unset with error if VAR
# is not present:-( TOP= && unset TOP is tribute to HP-UX /bin/sh,
# which terminates unset with error if no variable was present:-(
CLEARENV=	TOP= && unset TOP $${LIB+LIB} $${LIBS+LIBS}	\
		$${INCLUDE+INCLUDE} $${INCLUDES+INCLUDES}	\
		$${DIR+DIR} $${DIRS+DIRS} $${SRC+SRC}		\
		$${LIBSRC+LIBSRC} $${LIBOBJ+LIBOBJ} $${ALL+ALL}	\
		$${EXHEADER+EXHEADER} $${HEADER+HEADER}		\
		$${GENERAL+GENERAL} $${CFLAGS+CFLAGS}		\
		$${ASFLAGS+ASFLAGS} $${AFLAGS+AFLAGS}		\
		$${LDCMD+LDCMD} $${LDFLAGS+LDFLAGS} $${SCRIPTS+SCRIPTS}	\
		$${SHAREDCMD+SHAREDCMD} $${SHAREDFLAGS+SHAREDFLAGS}	\
		$${SHARED_LIB+SHARED_LIB} $${LIBEXTRAS+LIBEXTRAS}

# LC_ALL=C ensures that error [and other] messages are delivered in
# same language for uniform treatment.
BUILDENV=	LC_ALL=C PLATFORM='$(PLATFORM)' PROCESSOR='$(PROCESSOR)'\
		CC='$(CC)' CFLAG='$(CFLAG)' 			\
		AS='$(CC)' ASFLAG='$(CFLAG) -c'			\
		AR='$(AR)' NM='$(NM)' RANLIB='$(RANLIB)'	\
		RC='$(RC)'              			\
		CROSS_COMPILE='$(CROSS_COMPILE)'	\
		PERL='$(PERL)' ENGDIRS='$(ENGDIRS)'		\
		SDIRS='$(SDIRS)' LIBRPATH='$(INSTALLTOP)/$(LIBDIR)'	\
		INSTALL_PREFIX='$(INSTALL_PREFIX)'		\
		INSTALLTOP='$(INSTALLTOP)' OPENSSLDIR='$(OPENSSLDIR)'	\
		LIBDIR='$(LIBDIR)'				\
		MAKEDEPEND='$$$${TOP}/util/domd $$$${TOP} -MD $(MAKEDEPPROG)' \
		DEPFLAG='-DOPENSSL_NO_DEPRECATED $(DEPFLAG)'	\
		MAKEDEPPROG='$(MAKEDEPPROG)'			\
		SHARED_LDFLAGS='$(SHARED_LDFLAGS)'		\
		KRB5_INCLUDES='$(KRB5_INCLUDES)' LIBKRB5='$(LIBKRB5)'	\
		ZLIB_INCLUDE='$(ZLIB_INCLUDE)' LIBZLIB='$(LIBZLIB)'	\
		EXE_EXT='$(EXE_EXT)' SHARED_LIBS='$(SHARED_LIBS)'	\
		SHLIB_EXT='$(SHLIB_EXT)' SHLIB_TARGET='$(SHLIB_TARGET)'	\
		PEX_LIBS='$(PEX_LIBS)' EX_LIBS='$(EX_LIBS)'	\
		CPUID_OBJ='$(CPUID_OBJ)' BN_ASM='$(BN_ASM)'	\
		EC_ASM='$(EC_ASM)' DES_ENC='$(DES_ENC)' 	\
		AES_ENC='$(AES_ENC)' CMLL_ENC='$(CMLL_ENC)'	\
		BF_ENC='$(BF_ENC)' CAST_ENC='$(CAST_ENC)'	\
		RC4_ENC='$(RC4_ENC)' RC5_ENC='$(RC5_ENC)'	\
		SHA1_ASM_OBJ='$(SHA1_ASM_OBJ)'			\
		MD5_ASM_OBJ='$(MD5_ASM_OBJ)'			\
		RMD160_ASM_OBJ='$(RMD160_ASM_OBJ)'		\
		WP_ASM_OBJ='$(WP_ASM_OBJ)'			\
		MODES_ASM_OBJ='$(MODES_ASM_OBJ)'		\
		ENGINES_ASM_OBJ='$(ENGINES_ASM_OBJ)'		\
		PERLASM_SCHEME='$(PERLASM_SCHEME)'		\
		FIPSLIBDIR='${FIPSLIBDIR}'			\
		FIPSDIR='${FIPSDIR}'				\
		FIPSCANLIB="$${FIPSCANLIB:-$(FIPSCANLIB)}"	\
		THIS=$${THIS:-$@} MAKEFILE=Makefile MAKEOVERRIDES=
# MAKEOVERRIDES= effectively "equalizes" GNU-ish and SysV-ish make flavors,
# which in turn eliminates ambiguities in variable treatment with -e.

# BUILD_CMD is a generic macro to build a given target in a given
# subdirectory.  The target must be given through the shell variable
# `target' and the subdirectory to build in must be given through `dir'.
# This macro shouldn't be used directly, use RECURSIVE_BUILD_CMD or
# BUILD_ONE_CMD instead.
#
# BUILD_ONE_CMD is a macro to build a given target in a given
# subdirectory if that subdirectory is part of $(DIRS).  It requires
# exactly the same shell variables as BUILD_CMD.
#
# RECURSIVE_BUILD_CMD is a macro to build a given target in all
# subdirectories defined in $(DIRS).  It requires that the target
# is given through the shell variable `target'.
BUILD_CMD=  if [ -d "$$dir" ]; then \
	    (	cd $$dir && echo "making $$target in $$dir..." && \
		$(CLEARENV) && $(MAKE) -e $(BUILDENV) TOP=.. DIR=$$dir $$target \
	    ) || exit 1; \
	    fi
RECURSIVE_BUILD_CMD=for dir in $(DIRS); do $(BUILD_CMD); done
BUILD_ONE_CMD=\
	if expr " $(DIRS) " : ".* $$dir " >/dev/null 2>&1; then \
		$(BUILD_CMD); \
	fi

reflect:
	@[ -n "$(THIS)" ] && $(CLEARENV) && $(MAKE) $(THIS) -e $(BUILDENV)

sub_all: build_all

build_all: build_libs build_apps build_tests build_tools

build_libs: build_libcrypto build_libssl openssl.pc

build_libcrypto: build_crypto build_engines libcrypto.pc
build_libssl: build_ssl libssl.pc

build_crypto:
	+@dir=crypto; target=all; $(BUILD_ONE_CMD)
build_ssl: build_crypto
	+@dir=ssl; target=all; $(BUILD_ONE_CMD)
build_engines: build_crypto
	+@dir=engines; target=all; $(BUILD_ONE_CMD)
build_apps: build_libs
	+@dir=apps; target=all; $(BUILD_ONE_CMD)
build_tests: build_libs
	+@dir=test; target=all; $(BUILD_ONE_CMD)

=== 1.60-26-r0/net-tools-1.60/debian/changelog ===
net-tools (1.60-26) unstable; urgency=low

  * Fix wrong exit codes in netstat.c, closes: #541172.
  * Add patch to stop buffer overflows in route -6. Closes: #747006.
  * Add patch to fix wide display for long udp and raw addresses.
    Closes: #632660.
  * Add patch to fix mishandling of 64bit integers in netstat -s.
    Closes: #561161.
  * Add patch to fix printing of uninitialised ipv6 data in netstat.
    Closes: #508110.
  * debian/control: Add ${misc:Depends}, remove 'the' from description.
  * debian/rules: Add missing build-arch and build-indep targets.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 May 2014 05:12:20 +0000

net-tools (1.60-25) unstable; urgency=medium

  * Fix FTBFS by not setting HWSTRIP and HWTR (Closes: #700008).

 -- Luk Claes <luk@debian.org>  Sat, 11 May 2013 20:04:37 +0200

net-tools (1.60-24.2) unstable; urgency=low

  * Non-maintainer upload.
  * Parse Linux version correctly (Closes: #680204).
  * Build with hardening flags (Closes: #656130):
    - Fix improper format function usage: use fputs instead of fprintf or pass
      "%s" format string where necessary (-Werror=format-security treats those
      as errors).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 04 Sep 2012 10:51:20 +0200

net-tools (1.60-24.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add cross-build support, based on patch from Neil Williams. Closes: #451281
  * debian/control: Add Homepage. Closes: #530712.

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Fri, 15 Jul 2011 14:58:52 +0100

net-tools (1.60-24) unstable; urgency=low

  * debian/patches/Add_missing_headers.patch: Fix FTBFS (Closes: #625157).
  * debian/patches/Bug#569509-iface_overflow.patch: Fix crash 
    (Closes: #569509).

 -- Luk Claes <luk@debian.org>  Sun, 22 May 2011 09:17:57 +0200

net-tools (1.60-23) unstable; urgency=low

  * debian/patches/Bug#254243-netstat.c-wide-opt.patch: Converted last patch
    from Luar Roji to a quilt patch.
  * Many changes done in diff.gz that are also present in upstream's CVS:
    - debian/patches/CVS-20020730-route.c_opts_64.patch
    - debian/patches/CVS-20061011-ipmaddr.c_buffer_overflow.patch
    - debian/patches/CVS-20081003-statistics.c_sync.patch
    - debian/patches/CVS-20071202-rarp.c_sync.patch
    - debian/patches/CVS-20070316-netstat.c_sync.patch
    - debian/patches/CVS-20060927-mii-tool.c_sync.patch
    - debian/patches/CVS-20051204-arp.c_sync.patch
    - debian/patches/CVS-20030911-nameif.c_sync.patch
    - debian/patches/CVS-20081002-ifconfig.c_sync.patch
    - debian/patches/CVS-20031011-hostname.c_sync.patch
    - debian/patches/CVS-20051204-slttach.c_sync.patch
    - debian/patches/CVS-20061011-includes_sync.patch
    - debian/patches/CVS-lib_sync.patch
    - debian/patches/CVS-20081003-config.in_sync.patch
    - debian/patches/CVS-20081002-manpages_sync.patch
  * Some unsyncable patches converted from diff.gz:
    - debian/patches/netstat.c-assorted_changes.patch
    - debian/patches/translations.patch
    - debian/patches/local-manpages.patch
    - debian/patches/lib_local_changes.patch
    - debian/patches/netstat.c-local_changes.patch
  * Reverted changes to Makefile and README.
  * debian/watch: added watchfile.
  * debian/control, debian/compat: Added versioned dependency on debhelper (it
    was version 1!)
  * debian/rules: made from scratch. Closes: #443063.
  * Added quilt dependencies and hooks.
  * debian/control: updated Standards-Version.
  * debian/README.source: added to comply with S-V 3.8.1.
  * debian/patches/local-manpages.patch: more manpage fixes.
  * debian/patches/translations.patch: fix encoding for .po files.
  * debia/rules: supercede Makefile install with custom commands.
  * debian/copyright: new format, and attempt to provide a real copyright
    file. Still, the attribution is a mess.
  * debian/patches/Bug#345331-socket_overflow.patch: patch from Antonio Galea
    that solves an issue when the socket number exceeds 2^31. Closes: #345331.

 -- Martín Ferrari <tincho@debian.org>  Mon, 16 Mar 2009 01:58:18 -0300

net-tools (1.60-22) unstable; urgency=low

  * Add new command line option -W/--wide to netstat which prevents 
    truncation of IPv6 addresses (Closes: #254243). Thanks Luar Roji.

 -- Luk Claes <luk@debian.org>  Sun, 16 Nov 2008 17:53:05 +0100

net-tools (1.60-21) unstable; urgency=low

  * Update maintainer to net-tools Team.
  * Support ipv6 stats in netstat (Closes: #453859).
  * Fix closes statements in changelog entry.
  * Add hardware support for InfiniBand (Closes: #294252).

 -- Luk Claes <luk@debian.org>  Sat, 27 Sep 2008 19:40:40 +0200

net-tools (1.60-20) unstable; urgency=low

  * New maintainer (Closes: #486004).
  * Don't segfault when /proc/net/dev is not available (Closes: #222209).
  * Find IPv6 addresses for interfaces with ifindex > 255 (Closes: #433543).
  * Skip . and .. in netstat as they are invalid (Closes: #234447).
  * Fix hyphenation for manpages (Closes: #288343).

 -- Luk Claes <luk@debian.org>  Tue, 16 Sep 2008 15:22:20 +0200

net-tools (1.60-19) unstable; urgency=low

  * fixed netstat(8) (interfaceS) reported by Liu Xing. (Closes: Bug#435690)
  * fixed interface name truncation (Closes: Bug#405521)
    Thank you Csaba Szep.
  * fixed pt error string (Closes: Bug#403033)
  * fixed route samples (Closes: Bug#400844, #368697) Thanks Danny Rathjens.
  * fixed ifconfig(8) see also section (Closes: Bug#365916) Dan Jacobs.

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 02 Dec 2007 06:27:41 +0100

net-tools (1.60-18) unstable; urgency=low

  * Thanks for the l10n NMU to Kenshi Muto
  * fixed hostname compile problems
  * better error handling and speedup for proc file reading
  * improved mii-tool (more media types)
  * fixed string length contraint in ipmaddr
  * fixed ipx /proc/net (alternate naming)
  * smaller fixed to netstat(8) (de) 2002-02-20 - still incomplete
  * expanded arp(8) (en) 2007-12-01
  * added -4 and -6 to netstat(8) 02 October 2003


=== 1.60-26-r0/net-tools-1.60/debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper (>> 5), gettext, quilt
Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>
Uploaders: Luk Claes <luk@debian.org>, Martín Ferrari <tincho@debian.org>
Standards-Version: 3.8.1
Homepage: http://net-tools.berlios.de/

Package: net-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netbase (<< 4.00), ja-trans (<= 0.8-2)
Conflicts: ja-trans (<= 0.8-2)
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat, 
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach, 
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".

=== 1.60-26-r0/net-tools-1.60/debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif

COPTS := -D_GNU_SOURCE -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
LOPTS := $(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	[ ! -f config.make ] || mv config.make debian/config.make.bk
	cp -f debian/config.make config.make
	[ ! -f config.h ] || mv config.h debian/config.h.bk
	cp -f debian/config.h config.h
	dh_testdir
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) $(CROSS) COPTS="$(COPTS)" LOPTS="$(LOPTS)" PROGS="ifconfig arp netstat route rarp slattach plipconfig \
		nameif iptunnel ipmaddr mii-tool"
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clobber
	[ ! -f debian/config.h.bk ] || \
		mv debian/config.h.bk config.h
	[ ! -f debian/config.make.bk ] || \
		mv debian/config.make.bk config.make
	dh_clean

MANPAGES = arp.8 ethers.5 ifconfig.8 mii-tool.8 nameif.8 netstat.8 \
	   plipconfig.8 rarp.8 route.8 slattach.8

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs bin sbin usr/sbin
	dh_install
	$(MAKE) -C po install BASEDIR=$(CURDIR)/debian/net-tools
	dh_installman --language=de \
		$(wildcard $(addprefix man/de_DE/,$(MANPAGES)))
	dh_installman --language=C \
		$(wildcard $(addprefix man/en_US/,$(MANPAGES)))
	dh_installman --language=fr \
		$(wildcard $(addprefix man/fr_FR/,$(MANPAGES)))
	dh_installman --language=pt_BR \
		$(wildcard $(addprefix man/pt_BR/,$(MANPAGES)))

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README README.ipv6 TODO
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep \
	install-arch

=== 1.60-26-r0/net-tools-1.60/debian/watch ===
version=3

http://download.berlios.de/net-tools/net-tools-(\d.*)\.tar\.(?:bz2|gz)
